@primary-color: #24C883;
/* stylelint-disable at-rule-empty-line-before,at-rule-name-space-after,at-rule-no-unknown */
/* stylelint-disable no-duplicate-selectors */
/* stylelint-disable */
.bezierEasingMixin() {
@functions: ~`(function() {
  var NEWTON_ITERATIONS = 4;
  var NEWTON_MIN_SLOPE = 0.001;
  var SUBDIVISION_PRECISION = 0.0000001;
  var SUBDIVISION_MAX_ITERATIONS = 10;

  var kSplineTableSize = 11;
  var kSampleStepSize = 1.0 / (kSplineTableSize - 1.0);

  var float32ArraySupported = typeof Float32Array === 'function';

  function A (aA1, aA2) { return 1.0 - 3.0 * aA2 + 3.0 * aA1; }
  function B (aA1, aA2) { return 3.0 * aA2 - 6.0 * aA1; }
  function C (aA1)      { return 3.0 * aA1; }

  // Returns x(t) given t, x1, and x2, or y(t) given t, y1, and y2.
  function calcBezier (aT, aA1, aA2) { return ((A(aA1, aA2) * aT + B(aA1, aA2)) * aT + C(aA1)) * aT; }

  // Returns dx/dt given t, x1, and x2, or dy/dt given t, y1, and y2.
  function getSlope (aT, aA1, aA2) { return 3.0 * A(aA1, aA2) * aT * aT + 2.0 * B(aA1, aA2) * aT + C(aA1); }

  function binarySubdivide (aX, aA, aB, mX1, mX2) {
    var currentX, currentT, i = 0;
    do {
      currentT = aA + (aB - aA) / 2.0;
      currentX = calcBezier(currentT, mX1, mX2) - aX;
      if (currentX > 0.0) {
        aB = currentT;
      } else {
        aA = currentT;
      }
    } while (Math.abs(currentX) > SUBDIVISION_PRECISION && ++i < SUBDIVISION_MAX_ITERATIONS);
    return currentT;
  }

  function newtonRaphsonIterate (aX, aGuessT, mX1, mX2) {
   for (var i = 0; i < NEWTON_ITERATIONS; ++i) {
     var currentSlope = getSlope(aGuessT, mX1, mX2);
     if (currentSlope === 0.0) {
       return aGuessT;
     }
     var currentX = calcBezier(aGuessT, mX1, mX2) - aX;
     aGuessT -= currentX / currentSlope;
   }
   return aGuessT;
  }

  var BezierEasing = function (mX1, mY1, mX2, mY2) {
    if (!(0 <= mX1 && mX1 <= 1 && 0 <= mX2 && mX2 <= 1)) {
      throw new Error('bezier x values must be in [0, 1] range');
    }

    // Precompute samples table
    var sampleValues = float32ArraySupported ? new Float32Array(kSplineTableSize) : new Array(kSplineTableSize);
    if (mX1 !== mY1 || mX2 !== mY2) {
      for (var i = 0; i < kSplineTableSize; ++i) {
        sampleValues[i] = calcBezier(i * kSampleStepSize, mX1, mX2);
      }
    }

    function getTForX (aX) {
      var intervalStart = 0.0;
      var currentSample = 1;
      var lastSample = kSplineTableSize - 1;

      for (; currentSample !== lastSample && sampleValues[currentSample] <= aX; ++currentSample) {
        intervalStart += kSampleStepSize;
      }
      --currentSample;

      // Interpolate to provide an initial guess for t
      var dist = (aX - sampleValues[currentSample]) / (sampleValues[currentSample + 1] - sampleValues[currentSample]);
      var guessForT = intervalStart + dist * kSampleStepSize;

      var initialSlope = getSlope(guessForT, mX1, mX2);
      if (initialSlope >= NEWTON_MIN_SLOPE) {
        return newtonRaphsonIterate(aX, guessForT, mX1, mX2);
      } else if (initialSlope === 0.0) {
        return guessForT;
      } else {
        return binarySubdivide(aX, intervalStart, intervalStart + kSampleStepSize, mX1, mX2);
      }
    }

    return function BezierEasing (x) {
      if (mX1 === mY1 && mX2 === mY2) {
        return x; // linear
      }
      // Because JavaScript number are imprecise, we should guarantee the extremes are right.
      if (x === 0) {
        return 0;
      }
      if (x === 1) {
        return 1;
      }
      return calcBezier(getTForX(x), mY1, mY2);
    };
  };

  this.colorEasing = BezierEasing(0.26, 0.09, 0.37, 0.18);
  // less 3 requires a return
  return '';
})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.bezierEasingMixin();

/* stylelint-disable declaration-bang-space-before,no-duplicate-selectors,string-no-newline */
.tinyColorMixin() {
@functions: ~`(function() {
// TinyColor v1.4.1
// https://github.com/bgrins/TinyColor
// 2016-07-07, Brian Grinstead, MIT License
var trimLeft = /^\s+/,
    trimRight = /\s+$/,
    tinyCounter = 0,
    mathRound = Math.round,
    mathMin = Math.min,
    mathMax = Math.max,
    mathRandom = Math.random;

function tinycolor (color, opts) {

    color = (color) ? color : '';
    opts = opts || { };

    // If input is already a tinycolor, return itself
    if (color instanceof tinycolor) {
       return color;
    }
    // If we are called as a function, call using new instead
    if (!(this instanceof tinycolor)) {
        return new tinycolor(color, opts);
    }

    var rgb = inputToRGB(color);
    this._originalInput = color,
    this._r = rgb.r,
    this._g = rgb.g,
    this._b = rgb.b,
    this._a = rgb.a,
    this._roundA = mathRound(100*this._a) / 100,
    this._format = opts.format || rgb.format;
    this._gradientType = opts.gradientType;

    // Don't let the range of [0,255] come back in [0,1].
    // Potentially lose a little bit of precision here, but will fix issues where
    // .5 gets interpreted as half of the total, instead of half of 1
    // If it was supposed to be 128, this was already taken care of by inputToRgb
    if (this._r < 1) { this._r = mathRound(this._r); }
    if (this._g < 1) { this._g = mathRound(this._g); }
    if (this._b < 1) { this._b = mathRound(this._b); }

    this._ok = rgb.ok;
    this._tc_id = tinyCounter++;
}

tinycolor.prototype = {
    isDark: function() {
        return this.getBrightness() < 128;
    },
    isLight: function() {
        return !this.isDark();
    },
    isValid: function() {
        return this._ok;
    },
    getOriginalInput: function() {
      return this._originalInput;
    },
    getFormat: function() {
        return this._format;
    },
    getAlpha: function() {
        return this._a;
    },
    getBrightness: function() {
        //http://www.w3.org/TR/AERT#color-contrast
        var rgb = this.toRgb();
        return (rgb.r * 299 + rgb.g * 587 + rgb.b * 114) / 1000;
    },
    getLuminance: function() {
        //http://www.w3.org/TR/2008/REC-WCAG20-20081211/#relativeluminancedef
        var rgb = this.toRgb();
        var RsRGB, GsRGB, BsRGB, R, G, B;
        RsRGB = rgb.r/255;
        GsRGB = rgb.g/255;
        BsRGB = rgb.b/255;

        if (RsRGB <= 0.03928) {R = RsRGB / 12.92;} else {R = Math.pow(((RsRGB + 0.055) / 1.055), 2.4);}
        if (GsRGB <= 0.03928) {G = GsRGB / 12.92;} else {G = Math.pow(((GsRGB + 0.055) / 1.055), 2.4);}
        if (BsRGB <= 0.03928) {B = BsRGB / 12.92;} else {B = Math.pow(((BsRGB + 0.055) / 1.055), 2.4);}
        return (0.2126 * R) + (0.7152 * G) + (0.0722 * B);
    },
    setAlpha: function(value) {
        this._a = boundAlpha(value);
        this._roundA = mathRound(100*this._a) / 100;
        return this;
    },
    toHsv: function() {
        var hsv = rgbToHsv(this._r, this._g, this._b);
        return { h: hsv.h * 360, s: hsv.s, v: hsv.v, a: this._a };
    },
    toHsvString: function() {
        var hsv = rgbToHsv(this._r, this._g, this._b);
        var h = mathRound(hsv.h * 360), s = mathRound(hsv.s * 100), v = mathRound(hsv.v * 100);
        return (this._a == 1) ?
          "hsv("  + h + ", " + s + "%, " + v + "%)" :
          "hsva(" + h + ", " + s + "%, " + v + "%, "+ this._roundA + ")";
    },
    toHsl: function() {
        var hsl = rgbToHsl(this._r, this._g, this._b);
        return { h: hsl.h * 360, s: hsl.s, l: hsl.l, a: this._a };
    },
    toHslString: function() {
        var hsl = rgbToHsl(this._r, this._g, this._b);
        var h = mathRound(hsl.h * 360), s = mathRound(hsl.s * 100), l = mathRound(hsl.l * 100);
        return (this._a == 1) ?
          "hsl("  + h + ", " + s + "%, " + l + "%)" :
          "hsla(" + h + ", " + s + "%, " + l + "%, "+ this._roundA + ")";
    },
    toHex: function(allow3Char) {
        return rgbToHex(this._r, this._g, this._b, allow3Char);
    },
    toHexString: function(allow3Char) {
        return '#' + this.toHex(allow3Char);
    },
    toHex8: function(allow4Char) {
        return rgbaToHex(this._r, this._g, this._b, this._a, allow4Char);
    },
    toHex8String: function(allow4Char) {
        return '#' + this.toHex8(allow4Char);
    },
    toRgb: function() {
        return { r: mathRound(this._r), g: mathRound(this._g), b: mathRound(this._b), a: this._a };
    },
    toRgbString: function() {
        return (this._a == 1) ?
          "rgb("  + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ")" :
          "rgba(" + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ", " + this._roundA + ")";
    },
    toPercentageRgb: function() {
        return { r: mathRound(bound01(this._r, 255) * 100) + "%", g: mathRound(bound01(this._g, 255) * 100) + "%", b: mathRound(bound01(this._b, 255) * 100) + "%", a: this._a };
    },
    toPercentageRgbString: function() {
        return (this._a == 1) ?
          "rgb("  + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%)" :
          "rgba(" + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%, " + this._roundA + ")";
    },
    toName: function() {
        if (this._a === 0) {
            return "transparent";
        }

        if (this._a < 1) {
            return false;
        }

        return hexNames[rgbToHex(this._r, this._g, this._b, true)] || false;
    },
    toFilter: function(secondColor) {
        var hex8String = '#' + rgbaToArgbHex(this._r, this._g, this._b, this._a);
        var secondHex8String = hex8String;
        var gradientType = this._gradientType ? "GradientType = 1, " : "";

        if (secondColor) {
            var s = tinycolor(secondColor);
            secondHex8String = '#' + rgbaToArgbHex(s._r, s._g, s._b, s._a);
        }

        return "progid:DXImageTransform.Microsoft.gradient("+gradientType+"startColorstr="+hex8String+",endColorstr="+secondHex8String+")";
    },
    toString: function(format) {
        var formatSet = !!format;
        format = format || this._format;

        var formattedString = false;
        var hasAlpha = this._a < 1 && this._a >= 0;
        var needsAlphaFormat = !formatSet && hasAlpha && (format === "hex" || format === "hex6" || format === "hex3" || format === "hex4" || format === "hex8" || format === "name");

        if (needsAlphaFormat) {
            // Special case for "transparent", all other non-alpha formats
            // will return rgba when there is transparency.
            if (format === "name" && this._a === 0) {
                return this.toName();
            }
            return this.toRgbString();
        }
        if (format === "rgb") {
            formattedString = this.toRgbString();
        }
        if (format === "prgb") {
            formattedString = this.toPercentageRgbString();
        }
        if (format === "hex" || format === "hex6") {
            formattedString = this.toHexString();
        }
        if (format === "hex3") {
            formattedString = this.toHexString(true);
        }
        if (format === "hex4") {
            formattedString = this.toHex8String(true);
        }
        if (format === "hex8") {
            formattedString = this.toHex8String();
        }
        if (format === "name") {
            formattedString = this.toName();
        }
        if (format === "hsl") {
            formattedString = this.toHslString();
        }
        if (format === "hsv") {
            formattedString = this.toHsvString();
        }

        return formattedString || this.toHexString();
    },
    clone: function() {
        return tinycolor(this.toString());
    },

    _applyModification: function(fn, args) {
        var color = fn.apply(null, [this].concat([].slice.call(args)));
        this._r = color._r;
        this._g = color._g;
        this._b = color._b;
        this.setAlpha(color._a);
        return this;
    },
    lighten: function() {
        return this._applyModification(lighten, arguments);
    },
    brighten: function() {
        return this._applyModification(brighten, arguments);
    },
    darken: function() {
        return this._applyModification(darken, arguments);
    },
    desaturate: function() {
        return this._applyModification(desaturate, arguments);
    },
    saturate: function() {
        return this._applyModification(saturate, arguments);
    },
    greyscale: function() {
        return this._applyModification(greyscale, arguments);
    },
    spin: function() {
        return this._applyModification(spin, arguments);
    },

    _applyCombination: function(fn, args) {
        return fn.apply(null, [this].concat([].slice.call(args)));
    },
    analogous: function() {
        return this._applyCombination(analogous, arguments);
    },
    complement: function() {
        return this._applyCombination(complement, arguments);
    },
    monochromatic: function() {
        return this._applyCombination(monochromatic, arguments);
    },
    splitcomplement: function() {
        return this._applyCombination(splitcomplement, arguments);
    },
    triad: function() {
        return this._applyCombination(triad, arguments);
    },
    tetrad: function() {
        return this._applyCombination(tetrad, arguments);
    }
};

// If input is an object, force 1 into "1.0" to handle ratios properly
// String input requires "1.0" as input, so 1 will be treated as 1
tinycolor.fromRatio = function(color, opts) {
    if (typeof color == "object") {
        var newColor = {};
        for (var i in color) {
            if (color.hasOwnProperty(i)) {
                if (i === "a") {
                    newColor[i] = color[i];
                }
                else {
                    newColor[i] = convertToPercentage(color[i]);
                }
            }
        }
        color = newColor;
    }

    return tinycolor(color, opts);
};

// Given a string or object, convert that input to RGB
// Possible string inputs:
//
//     "red"
//     "#f00" or "f00"
//     "#ff0000" or "ff0000"
//     "#ff000000" or "ff000000"
//     "rgb 255 0 0" or "rgb (255, 0, 0)"
//     "rgb 1.0 0 0" or "rgb (1, 0, 0)"
//     "rgba (255, 0, 0, 1)" or "rgba 255, 0, 0, 1"
//     "rgba (1.0, 0, 0, 1)" or "rgba 1.0, 0, 0, 1"
//     "hsl(0, 100%, 50%)" or "hsl 0 100% 50%"
//     "hsla(0, 100%, 50%, 1)" or "hsla 0 100% 50%, 1"
//     "hsv(0, 100%, 100%)" or "hsv 0 100% 100%"
//
function inputToRGB(color) {

    var rgb = { r: 0, g: 0, b: 0 };
    var a = 1;
    var s = null;
    var v = null;
    var l = null;
    var ok = false;
    var format = false;

    if (typeof color == "string") {
        color = stringInputToObject(color);
    }

    if (typeof color == "object") {
        if (isValidCSSUnit(color.r) && isValidCSSUnit(color.g) && isValidCSSUnit(color.b)) {
            rgb = rgbToRgb(color.r, color.g, color.b);
            ok = true;
            format = String(color.r).substr(-1) === "%" ? "prgb" : "rgb";
        }
        else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.v)) {
            s = convertToPercentage(color.s);
            v = convertToPercentage(color.v);
            rgb = hsvToRgb(color.h, s, v);
            ok = true;
            format = "hsv";
        }
        else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.l)) {
            s = convertToPercentage(color.s);
            l = convertToPercentage(color.l);
            rgb = hslToRgb(color.h, s, l);
            ok = true;
            format = "hsl";
        }

        if (color.hasOwnProperty("a")) {
            a = color.a;
        }
    }

    a = boundAlpha(a);

    return {
        ok: ok,
        format: color.format || format,
        r: mathMin(255, mathMax(rgb.r, 0)),
        g: mathMin(255, mathMax(rgb.g, 0)),
        b: mathMin(255, mathMax(rgb.b, 0)),
        a: a
    };
}

// Conversion Functions
// --------------------

// rgbToHsl, rgbToHsv, hslToRgb, hsvToRgb modified from:
// <http://mjijackson.com/2008/02/rgb-to-hsl-and-rgb-to-hsv-color-model-conversion-algorithms-in-javascript>

// rgbToRgb
// Handle bounds / percentage checking to conform to CSS color spec
// <http://www.w3.org/TR/css3-color/>
// *Assumes:* r, g, b in [0, 255] or [0, 1]
// *Returns:* { r, g, b } in [0, 255]
function rgbToRgb(r, g, b){
    return {
        r: bound01(r, 255) * 255,
        g: bound01(g, 255) * 255,
        b: bound01(b, 255) * 255
    };
}

// rgbToHsl
// Converts an RGB color value to HSL.
// *Assumes:* r, g, and b are contained in [0, 255] or [0, 1]
// *Returns:* { h, s, l } in [0,1]
function rgbToHsl(r, g, b) {

    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);

    var max = mathMax(r, g, b), min = mathMin(r, g, b);
    var h, s, l = (max + min) / 2;

    if(max == min) {
        h = s = 0; // achromatic
    }
    else {
        var d = max - min;
        s = l > 0.5 ? d / (2 - max - min) : d / (max + min);
        switch(max) {
            case r: h = (g - b) / d + (g < b ? 6 : 0); break;
            case g: h = (b - r) / d + 2; break;
            case b: h = (r - g) / d + 4; break;
        }

        h /= 6;
    }

    return { h: h, s: s, l: l };
}

// hslToRgb
// Converts an HSL color value to RGB.
// *Assumes:* h is contained in [0, 1] or [0, 360] and s and l are contained [0, 1] or [0, 100]
// *Returns:* { r, g, b } in the set [0, 255]
function hslToRgb(h, s, l) {
    var r, g, b;

    h = bound01(h, 360);
    s = bound01(s, 100);
    l = bound01(l, 100);

    function hue2rgb(p, q, t) {
        if(t < 0) t += 1;
        if(t > 1) t -= 1;
        if(t < 1/6) return p + (q - p) * 6 * t;
        if(t < 1/2) return q;
        if(t < 2/3) return p + (q - p) * (2/3 - t) * 6;
        return p;
    }

    if(s === 0) {
        r = g = b = l; // achromatic
    }
    else {
        var q = l < 0.5 ? l * (1 + s) : l + s - l * s;
        var p = 2 * l - q;
        r = hue2rgb(p, q, h + 1/3);
        g = hue2rgb(p, q, h);
        b = hue2rgb(p, q, h - 1/3);
    }

    return { r: r * 255, g: g * 255, b: b * 255 };
}

// rgbToHsv
// Converts an RGB color value to HSV
// *Assumes:* r, g, and b are contained in the set [0, 255] or [0, 1]
// *Returns:* { h, s, v } in [0,1]
function rgbToHsv(r, g, b) {

    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);

    var max = mathMax(r, g, b), min = mathMin(r, g, b);
    var h, s, v = max;

    var d = max - min;
    s = max === 0 ? 0 : d / max;

    if(max == min) {
        h = 0; // achromatic
    }
    else {
        switch(max) {
            case r: h = (g - b) / d + (g < b ? 6 : 0); break;
            case g: h = (b - r) / d + 2; break;
            case b: h = (r - g) / d + 4; break;
        }
        h /= 6;
    }
    return { h: h, s: s, v: v };
}

// hsvToRgb
// Converts an HSV color value to RGB.
// *Assumes:* h is contained in [0, 1] or [0, 360] and s and v are contained in [0, 1] or [0, 100]
// *Returns:* { r, g, b } in the set [0, 255]
 function hsvToRgb(h, s, v) {

    h = bound01(h, 360) * 6;
    s = bound01(s, 100);
    v = bound01(v, 100);

    var i = Math.floor(h),
        f = h - i,
        p = v * (1 - s),
        q = v * (1 - f * s),
        t = v * (1 - (1 - f) * s),
        mod = i % 6,
        r = [v, q, p, p, t, v][mod],
        g = [t, v, v, q, p, p][mod],
        b = [p, p, t, v, v, q][mod];

    return { r: r * 255, g: g * 255, b: b * 255 };
}

// rgbToHex
// Converts an RGB color to hex
// Assumes r, g, and b are contained in the set [0, 255]
// Returns a 3 or 6 character hex
function rgbToHex(r, g, b, allow3Char) {

    var hex = [
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16))
    ];

    // Return a 3 character hex if possible
    if (allow3Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1)) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0);
    }

    return hex.join("");
}

// rgbaToHex
// Converts an RGBA color plus alpha transparency to hex
// Assumes r, g, b are contained in the set [0, 255] and
// a in [0, 1]. Returns a 4 or 8 character rgba hex
function rgbaToHex(r, g, b, a, allow4Char) {

    var hex = [
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16)),
        pad2(convertDecimalToHex(a))
    ];

    // Return a 4 character hex if possible
    if (allow4Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1) && hex[3].charAt(0) == hex[3].charAt(1)) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0) + hex[3].charAt(0);
    }

    return hex.join("");
}

// rgbaToArgbHex
// Converts an RGBA color to an ARGB Hex8 string
// Rarely used, but required for "toFilter()"
function rgbaToArgbHex(r, g, b, a) {

    var hex = [
        pad2(convertDecimalToHex(a)),
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16))
    ];

    return hex.join("");
}

// equals
// Can be called with any tinycolor input
tinycolor.equals = function (color1, color2) {
    if (!color1 || !color2) { return false; }
    return tinycolor(color1).toRgbString() == tinycolor(color2).toRgbString();
};

tinycolor.random = function() {
    return tinycolor.fromRatio({
        r: mathRandom(),
        g: mathRandom(),
        b: mathRandom()
    });
};

// Modification Functions
// ----------------------
// Thanks to less.js for some of the basics here
// <https://github.com/cloudhead/less.js/blob/master/lib/less/functions.js>

function desaturate(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.s -= amount / 100;
    hsl.s = clamp01(hsl.s);
    return tinycolor(hsl);
}

function saturate(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.s += amount / 100;
    hsl.s = clamp01(hsl.s);
    return tinycolor(hsl);
}

function greyscale(color) {
    return tinycolor(color).desaturate(100);
}

function lighten (color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.l += amount / 100;
    hsl.l = clamp01(hsl.l);
    return tinycolor(hsl);
}

function brighten(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var rgb = tinycolor(color).toRgb();
    rgb.r = mathMax(0, mathMin(255, rgb.r - mathRound(255 * - (amount / 100))));
    rgb.g = mathMax(0, mathMin(255, rgb.g - mathRound(255 * - (amount / 100))));
    rgb.b = mathMax(0, mathMin(255, rgb.b - mathRound(255 * - (amount / 100))));
    return tinycolor(rgb);
}

function darken (color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.l -= amount / 100;
    hsl.l = clamp01(hsl.l);
    return tinycolor(hsl);
}

// Spin takes a positive or negative amount within [-360, 360] indicating the change of hue.
// Values outside of this range will be wrapped into this range.
function spin(color, amount) {
    var hsl = tinycolor(color).toHsl();
    var hue = (hsl.h + amount) % 360;
    hsl.h = hue < 0 ? 360 + hue : hue;
    return tinycolor(hsl);
}

// Combination Functions
// ---------------------
// Thanks to jQuery xColor for some of the ideas behind these
// <https://github.com/infusion/jQuery-xcolor/blob/master/jquery.xcolor.js>

function complement(color) {
    var hsl = tinycolor(color).toHsl();
    hsl.h = (hsl.h + 180) % 360;
    return tinycolor(hsl);
}

function triad(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 120) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 240) % 360, s: hsl.s, l: hsl.l })
    ];
}

function tetrad(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 90) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 180) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 270) % 360, s: hsl.s, l: hsl.l })
    ];
}

function splitcomplement(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 72) % 360, s: hsl.s, l: hsl.l}),
        tinycolor({ h: (h + 216) % 360, s: hsl.s, l: hsl.l})
    ];
}

function analogous(color, results, slices) {
    results = results || 6;
    slices = slices || 30;

    var hsl = tinycolor(color).toHsl();
    var part = 360 / slices;
    var ret = [tinycolor(color)];

    for (hsl.h = ((hsl.h - (part * results >> 1)) + 720) % 360; --results; ) {
        hsl.h = (hsl.h + part) % 360;
        ret.push(tinycolor(hsl));
    }
    return ret;
}

function monochromatic(color, results) {
    results = results || 6;
    var hsv = tinycolor(color).toHsv();
    var h = hsv.h, s = hsv.s, v = hsv.v;
    var ret = [];
    var modification = 1 / results;

    while (results--) {
        ret.push(tinycolor({ h: h, s: s, v: v}));
        v = (v + modification) % 1;
    }

    return ret;
}

// Utility Functions
// ---------------------

tinycolor.mix = function(color1, color2, amount) {
    amount = (amount === 0) ? 0 : (amount || 50);

    var rgb1 = tinycolor(color1).toRgb();
    var rgb2 = tinycolor(color2).toRgb();

    var p = amount / 100;

    var rgba = {
        r: ((rgb2.r - rgb1.r) * p) + rgb1.r,
        g: ((rgb2.g - rgb1.g) * p) + rgb1.g,
        b: ((rgb2.b - rgb1.b) * p) + rgb1.b,
        a: ((rgb2.a - rgb1.a) * p) + rgb1.a
    };

    return tinycolor(rgba);
};

// Readability Functions
// ---------------------
// <http://www.w3.org/TR/2008/REC-WCAG20-20081211/#contrast-ratiodef (WCAG Version 2)

// contrast
// Analyze the 2 colors and returns the color contrast defined by (WCAG Version 2)
tinycolor.readability = function(color1, color2) {
    var c1 = tinycolor(color1);
    var c2 = tinycolor(color2);
    return (Math.max(c1.getLuminance(),c2.getLuminance())+0.05) / (Math.min(c1.getLuminance(),c2.getLuminance())+0.05);
};

// isReadable
// Ensure that foreground and background color combinations meet WCAG2 guidelines.
// The third argument is an optional Object.
//      the 'level' property states 'AA' or 'AAA' - if missing or invalid, it defaults to 'AA';
//      the 'size' property states 'large' or 'small' - if missing or invalid, it defaults to 'small'.
// If the entire object is absent, isReadable defaults to {level:"AA",size:"small"}.

// *Example*
//    tinycolor.isReadable("#000", "#111") => false
//    tinycolor.isReadable("#000", "#111",{level:"AA",size:"large"}) => false
tinycolor.isReadable = function(color1, color2, wcag2) {
    var readability = tinycolor.readability(color1, color2);
    var wcag2Parms, out;

    out = false;

    wcag2Parms = validateWCAG2Parms(wcag2);
    switch (wcag2Parms.level + wcag2Parms.size) {
        case "AAsmall":
        case "AAAlarge":
            out = readability >= 4.5;
            break;
        case "AAlarge":
            out = readability >= 3;
            break;
        case "AAAsmall":
            out = readability >= 7;
            break;
    }
    return out;

};

// mostReadable
// Given a base color and a list of possible foreground or background
// colors for that base, returns the most readable color.
// Optionally returns Black or White if the most readable color is unreadable.
// *Example*
//    tinycolor.mostReadable(tinycolor.mostReadable("#123", ["#124", "#125"],{includeFallbackColors:false}).toHexString(); // "#112255"
//    tinycolor.mostReadable(tinycolor.mostReadable("#123", ["#124", "#125"],{includeFallbackColors:true}).toHexString();  // "#ffffff"
//    tinycolor.mostReadable("#a8015a", ["#faf3f3"],{includeFallbackColors:true,level:"AAA",size:"large"}).toHexString(); // "#faf3f3"
//    tinycolor.mostReadable("#a8015a", ["#faf3f3"],{includeFallbackColors:true,level:"AAA",size:"small"}).toHexString(); // "#ffffff"
tinycolor.mostReadable = function(baseColor, colorList, args) {
    var bestColor = null;
    var bestScore = 0;
    var readability;
    var includeFallbackColors, level, size ;
    args = args || {};
    includeFallbackColors = args.includeFallbackColors ;
    level = args.level;
    size = args.size;

    for (var i= 0; i < colorList.length ; i++) {
        readability = tinycolor.readability(baseColor, colorList[i]);
        if (readability > bestScore) {
            bestScore = readability;
            bestColor = tinycolor(colorList[i]);
        }
    }

    if (tinycolor.isReadable(baseColor, bestColor, {"level":level,"size":size}) || !includeFallbackColors) {
        return bestColor;
    }
    else {
        args.includeFallbackColors=false;
        return tinycolor.mostReadable(baseColor,["#fff", "#000"],args);
    }
};

// Big List of Colors
// ------------------
// <http://www.w3.org/TR/css3-color/#svg-color>
var names = tinycolor.names = {
    aliceblue: "f0f8ff",
    antiquewhite: "faebd7",
    aqua: "0ff",
    aquamarine: "7fffd4",
    azure: "f0ffff",
    beige: "f5f5dc",
    bisque: "ffe4c4",
    black: "000",
    blanchedalmond: "ffebcd",
    blue: "00f",
    blueviolet: "8a2be2",
    brown: "a52a2a",
    burlywood: "deb887",
    burntsienna: "ea7e5d",
    cadetblue: "5f9ea0",
    chartreuse: "7fff00",
    chocolate: "d2691e",
    coral: "ff7f50",
    cornflowerblue: "6495ed",
    cornsilk: "fff8dc",
    crimson: "dc143c",
    cyan: "0ff",
    darkblue: "00008b",
    darkcyan: "008b8b",
    darkgoldenrod: "b8860b",
    darkgray: "a9a9a9",
    darkgreen: "006400",
    darkgrey: "a9a9a9",
    darkkhaki: "bdb76b",
    darkmagenta: "8b008b",
    darkolivegreen: "556b2f",
    darkorange: "ff8c00",
    darkorchid: "9932cc",
    darkred: "8b0000",
    darksalmon: "e9967a",
    darkseagreen: "8fbc8f",
    darkslateblue: "483d8b",
    darkslategray: "2f4f4f",
    darkslategrey: "2f4f4f",
    darkturquoise: "00ced1",
    darkviolet: "9400d3",
    deeppink: "ff1493",
    deepskyblue: "00bfff",
    dimgray: "696969",
    dimgrey: "696969",
    dodgerblue: "1e90ff",
    firebrick: "b22222",
    floralwhite: "fffaf0",
    forestgreen: "228b22",
    fuchsia: "f0f",
    gainsboro: "dcdcdc",
    ghostwhite: "f8f8ff",
    gold: "ffd700",
    goldenrod: "daa520",
    gray: "808080",
    green: "008000",
    greenyellow: "adff2f",
    grey: "808080",
    honeydew: "f0fff0",
    hotpink: "ff69b4",
    indianred: "cd5c5c",
    indigo: "4b0082",
    ivory: "fffff0",
    khaki: "f0e68c",
    lavender: "e6e6fa",
    lavenderblush: "fff0f5",
    lawngreen: "7cfc00",
    lemonchiffon: "fffacd",
    lightblue: "add8e6",
    lightcoral: "f08080",
    lightcyan: "e0ffff",
    lightgoldenrodyellow: "fafad2",
    lightgray: "d3d3d3",
    lightgreen: "90ee90",
    lightgrey: "d3d3d3",
    lightpink: "ffb6c1",
    lightsalmon: "ffa07a",
    lightseagreen: "20b2aa",
    lightskyblue: "87cefa",
    lightslategray: "789",
    lightslategrey: "789",
    lightsteelblue: "b0c4de",
    lightyellow: "ffffe0",
    lime: "0f0",
    limegreen: "32cd32",
    linen: "faf0e6",
    magenta: "f0f",
    maroon: "800000",
    mediumaquamarine: "66cdaa",
    mediumblue: "0000cd",
    mediumorchid: "ba55d3",
    mediumpurple: "9370db",
    mediumseagreen: "3cb371",
    mediumslateblue: "7b68ee",
    mediumspringgreen: "00fa9a",
    mediumturquoise: "48d1cc",
    mediumvioletred: "c71585",
    midnightblue: "191970",
    mintcream: "f5fffa",
    mistyrose: "ffe4e1",
    moccasin: "ffe4b5",
    navajowhite: "ffdead",
    navy: "000080",
    oldlace: "fdf5e6",
    olive: "808000",
    olivedrab: "6b8e23",
    orange: "ffa500",
    orangered: "ff4500",
    orchid: "da70d6",
    palegoldenrod: "eee8aa",
    palegreen: "98fb98",
    paleturquoise: "afeeee",
    palevioletred: "db7093",
    papayawhip: "ffefd5",
    peachpuff: "ffdab9",
    peru: "cd853f",
    pink: "ffc0cb",
    plum: "dda0dd",
    powderblue: "b0e0e6",
    purple: "800080",
    rebeccapurple: "663399",
    red: "f00",
    rosybrown: "bc8f8f",
    royalblue: "4169e1",
    saddlebrown: "8b4513",
    salmon: "fa8072",
    sandybrown: "f4a460",
    seagreen: "2e8b57",
    seashell: "fff5ee",
    sienna: "a0522d",
    silver: "c0c0c0",
    skyblue: "87ceeb",
    slateblue: "6a5acd",
    slategray: "708090",
    slategrey: "708090",
    snow: "fffafa",
    springgreen: "00ff7f",
    steelblue: "4682b4",
    tan: "d2b48c",
    teal: "008080",
    thistle: "d8bfd8",
    tomato: "ff6347",
    turquoise: "40e0d0",
    violet: "ee82ee",
    wheat: "f5deb3",
    white: "fff",
    whitesmoke: "f5f5f5",
    yellow: "ff0",
    yellowgreen: "9acd32"
};

// Make it easy to access colors via hexNames[hex]
var hexNames = tinycolor.hexNames = flip(names);

// Utilities
// ---------

// { 'name1': 'val1' } becomes { 'val1': 'name1' }
function flip(o) {
    var flipped = { };
    for (var i in o) {
        if (o.hasOwnProperty(i)) {
            flipped[o[i]] = i;
        }
    }
    return flipped;
}

// Return a valid alpha value [0,1] with all invalid values being set to 1
function boundAlpha(a) {
    a = parseFloat(a);

    if (isNaN(a) || a < 0 || a > 1) {
        a = 1;
    }

    return a;
}

// Take input from [0, n] and return it as [0, 1]
function bound01(n, max) {
    if (isOnePointZero(n)) { n = "100%"; }

    var processPercent = isPercentage(n);
    n = mathMin(max, mathMax(0, parseFloat(n)));

    // Automatically convert percentage into number
    if (processPercent) {
        n = parseInt(n * max, 10) / 100;
    }

    // Handle floating point rounding errors
    if ((Math.abs(n - max) < 0.000001)) {
        return 1;
    }

    // Convert into [0, 1] range if it isn't already
    return (n % max) / parseFloat(max);
}

// Force a number between 0 and 1
function clamp01(val) {
    return mathMin(1, mathMax(0, val));
}

// Parse a base-16 hex value into a base-10 integer
function parseIntFromHex(val) {
    return parseInt(val, 16);
}

// Need to handle 1.0 as 100%, since once it is a number, there is no difference between it and 1
// <http://stackoverflow.com/questions/7422072/javascript-how-to-detect-number-as-a-decimal-including-1-0>
function isOnePointZero(n) {
    return typeof n == "string" && n.indexOf('.') != -1 && parseFloat(n) === 1;
}

// Check to see if string passed in is a percentage
function isPercentage(n) {
    return typeof n === "string" && n.indexOf('%') != -1;
}

// Force a hex value to have 2 characters
function pad2(c) {
    return c.length == 1 ? '0' + c : '' + c;
}

// Replace a decimal with it's percentage value
function convertToPercentage(n) {
    if (n <= 1) {
        n = (n * 100) + "%";
    }

    return n;
}

// Converts a decimal to a hex value
function convertDecimalToHex(d) {
    return Math.round(parseFloat(d) * 255).toString(16);
}
// Converts a hex value to a decimal
function convertHexToDecimal(h) {
    return (parseIntFromHex(h) / 255);
}

var matchers = (function() {

    // <http://www.w3.org/TR/css3-values/#integers>
    var CSS_INTEGER = "[-\\+]?\\d+%?";

    // <http://www.w3.org/TR/css3-values/#number-value>
    var CSS_NUMBER = "[-\\+]?\\d*\\.\\d+%?";

    // Allow positive/negative integer/number.  Don't capture the either/or, just the entire outcome.
    var CSS_UNIT = "(?:" + CSS_NUMBER + ")|(?:" + CSS_INTEGER + ")";

    // Actual matching.
    // Parentheses and commas are optional, but not required.
    // Whitespace can take the place of commas or opening paren
    var PERMISSIVE_MATCH3 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
    var PERMISSIVE_MATCH4 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";

    return {
        CSS_UNIT: new RegExp(CSS_UNIT),
        rgb: new RegExp("rgb" + PERMISSIVE_MATCH3),
        rgba: new RegExp("rgba" + PERMISSIVE_MATCH4),
        hsl: new RegExp("hsl" + PERMISSIVE_MATCH3),
        hsla: new RegExp("hsla" + PERMISSIVE_MATCH4),
        hsv: new RegExp("hsv" + PERMISSIVE_MATCH3),
        hsva: new RegExp("hsva" + PERMISSIVE_MATCH4),
        hex3: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
        hex6: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,
        hex4: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
        hex8: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/
    };
})();

// isValidCSSUnit
// Take in a single string / number and check to see if it looks like a CSS unit
// (see matchers above for definition).
function isValidCSSUnit(color) {
    return !!matchers.CSS_UNIT.exec(color);
}

// stringInputToObject
// Permissive string parsing.  Take in a number of formats, and output an object
// based on detected format.  Returns { r, g, b } or { h, s, l } or { h, s, v}
function stringInputToObject(color) {

    color = color.replace(trimLeft, '').replace(trimRight, '').toLowerCase();
    var named = false;
    if (names[color]) {
        color = names[color];
        named = true;
    }
    else if (color == 'transparent') {
        return { r: 0, g: 0, b: 0, a: 0, format: "name" };
    }

    // Try to match string input using regular expressions.
    // Keep most of the number bounding out of this function - don't worry about [0,1] or [0,100] or [0,360]
    // Just return an object and let the conversion functions handle that.
    // This way the result will be the same whether the tinycolor is initialized with string or object.
    var match;
    if ((match = matchers.rgb.exec(color))) {
        return { r: match[1], g: match[2], b: match[3] };
    }
    if ((match = matchers.rgba.exec(color))) {
        return { r: match[1], g: match[2], b: match[3], a: match[4] };
    }
    if ((match = matchers.hsl.exec(color))) {
        return { h: match[1], s: match[2], l: match[3] };
    }
    if ((match = matchers.hsla.exec(color))) {
        return { h: match[1], s: match[2], l: match[3], a: match[4] };
    }
    if ((match = matchers.hsv.exec(color))) {
        return { h: match[1], s: match[2], v: match[3] };
    }
    if ((match = matchers.hsva.exec(color))) {
        return { h: match[1], s: match[2], v: match[3], a: match[4] };
    }
    if ((match = matchers.hex8.exec(color))) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            a: convertHexToDecimal(match[4]),
            format: named ? "name" : "hex8"
        };
    }
    if ((match = matchers.hex6.exec(color))) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            format: named ? "name" : "hex"
        };
    }
    if ((match = matchers.hex4.exec(color))) {
        return {
            r: parseIntFromHex(match[1] + '' + match[1]),
            g: parseIntFromHex(match[2] + '' + match[2]),
            b: parseIntFromHex(match[3] + '' + match[3]),
            a: convertHexToDecimal(match[4] + '' + match[4]),
            format: named ? "name" : "hex8"
        };
    }
    if ((match = matchers.hex3.exec(color))) {
        return {
            r: parseIntFromHex(match[1] + '' + match[1]),
            g: parseIntFromHex(match[2] + '' + match[2]),
            b: parseIntFromHex(match[3] + '' + match[3]),
            format: named ? "name" : "hex"
        };
    }

    return false;
}

function validateWCAG2Parms(parms) {
    // return valid WCAG2 parms for isReadable.
    // If input parms are invalid, return {"level":"AA", "size":"small"}
    var level, size;
    parms = parms || {"level":"AA", "size":"small"};
    level = (parms.level || "AA").toUpperCase();
    size = (parms.size || "small").toLowerCase();
    if (level !== "AA" && level !== "AAA") {
        level = "AA";
    }
    if (size !== "small" && size !== "large") {
        size = "small";
    }
    return {"level":level, "size":size};
}

this.tinycolor = tinycolor;

})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.tinyColorMixin();

// We create a very complex algorithm which take the place of original tint/shade color system
// to make sure no one can understand it 👻
// and create an entire color palette magicly by inputing just a single primary color.
// We are using bezier-curve easing function and some color manipulations like tint/shade/darken/spin
.colorPaletteMixin() {
@functions: ~`(function() {
  var hueStep = 2;
  var saturationStep = 16;
  var saturationStep2 = 5;
  var brightnessStep1 = 5;
  var brightnessStep2 = 15;
  var lightColorCount = 5;
  var darkColorCount = 4;

  var getHue = function(hsv, i, isLight) {
    var hue;
    if (hsv.h >= 60 && hsv.h <= 240) {
      hue = isLight ? hsv.h - hueStep * i : hsv.h + hueStep * i;
    } else {
      hue = isLight ? hsv.h + hueStep * i : hsv.h - hueStep * i;
    }
    if (hue < 0) {
      hue += 360;
    } else if (hue >= 360) {
      hue -= 360;
    }
    return Math.round(hue);
  };
  var getSaturation = function(hsv, i, isLight) {
    var saturation;
    if (isLight) {
      saturation = Math.round(hsv.s * 100) - saturationStep * i;
    } else if (i === darkColorCount) {
      saturation = Math.round(hsv.s * 100) + saturationStep;
    } else {
      saturation = Math.round(hsv.s * 100) + saturationStep2 * i;
    }
    if (saturation > 100) {
      saturation = 100;
    }
    if (isLight && i === lightColorCount && saturation > 10) {
      saturation = 10;
    }
    if (saturation < 6) {
      saturation = 6;
    }
    return Math.round(saturation);
  };
  var getValue = function(hsv, i, isLight) {
    if (isLight) {
      return Math.round(hsv.v * 100) + brightnessStep1 * i;
    }
    return Math.round(hsv.v * 100) - brightnessStep2 * i;
  };

  this.colorPalette = function(color, index) {
    var isLight = index <= 6;
    var hsv = tinycolor(color).toHsv();
    var i = isLight ? lightColorCount + 1 - index : index - lightColorCount - 1;
    return tinycolor({
      h: getHue(hsv, i, isLight),
      s: getSaturation(hsv, i, isLight),
      v: getValue(hsv, i, isLight),
    }).toHexString();
  };
})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.colorPaletteMixin();

// Color used by default to control hover and active backgrounds and for
// alert info backgrounds.
@primary-1: color(~`colorPalette('@{primary-color}', 1) `); // replace tint(@primary-color, 90%)
@primary-2: color(~`colorPalette('@{primary-color}', 2) `); // replace tint(@primary-color, 80%)
@primary-3: color(~`colorPalette('@{primary-color}', 3) `); // unused
@primary-4: color(~`colorPalette('@{primary-color}', 4) `); // unused
@primary-5: color(~`colorPalette('@{primary-color}', 5) `); // color used to control the text color in many active and hover states, replace tint(@primary-color, 20%)
@primary-6: @primary-color; // color used to control the text color of active buttons, don't use, use @primary-color
@primary-7: color(~`colorPalette('@{primary-color}', 7) `); // replace shade(@primary-color, 5%)
@primary-8: color(~`colorPalette('@{primary-color}', 8) `); // unused
@primary-9: color(~`colorPalette('@{primary-color}', 9) `); // unused
@primary-10: color(~`colorPalette('@{primary-color}', 10) `); // unused

@blue-6: #1890ff;
@blue-5: color(~`colorPalette('@{blue-6}', 5) `);

@green-6: #52c41a;

@red-5: color(~`colorPalette('@{red-6}', 5) `);
@red-6: #f5222d;
@red-7: color(~`colorPalette('@{red-6}', 7) `);

@gold-6: #faad14;

@orange-5: color(~`colorPalette('@{orange-6}', 5) `);
@orange-6: #fa8c16;

@item-active-bg: @primary-1;

@font-size-sm: 12px;
@font-size-base: 14px;
@font-size-lg: @font-size-base + 2px;

html {

  .aside-container .menu-item-link-outside .anticon {
    color: @primary-color;
  }
  .menu-site .ant-menu-item-selected > a,
  .menu-site .ant-menu-item > a:hover {
    color: @primary-color;
  }
  #header .ant-menu-item-active .header-link {
    color: @primary-color;
  }
  #nav.ant-menu-horizontal > .ant-menu-item:hover,
  #nav.ant-menu-horizontal > .ant-menu-submenu:hover {
    border-top: 2px solid @primary-color;
    border-bottom: 2px solid transparent;
  }
  #nav.ant-menu-horizontal > .ant-menu-submenu-open {
    border-top: 2px solid @primary-color;
    border-bottom: 2px solid transparent;
  }
  #nav.ant-menu-horizontal > .ant-menu-item-selected {
    border-top: 2px solid @primary-color;
    border-bottom: 2px solid transparent;
  }
  #nav.ant-menu-horizontal > .ant-menu-item-selected a {
    color: @primary-color;
  }
  .prev-next-nav > a.prev-page:hover .footer-nav-icon-before {
    color: @primary-color;
  }
  .prev-next-nav > .next-page:hover .footer-nav-icon-after {
    color: @primary-color;
  }
  .markdown a.edit-button i:hover {
    color: @primary-color;
  }
  .resource-card:hover .resource-card-title {
    color: @primary-color;
  }
  .preview-image-wrapper.good::after {
    background: @primary-color;
  }
  .toc a:hover {
    color: @primary-color;
  }
  .toc a.current {
    color: @primary-color;
    border-color: @primary-color;
  }
  #page-404 h1 {
    color: @primary-color;
  }
  .code-box:target {
    border: 1px solid @primary-color;
  }
  ul.anticons-list li:hover {
    color: #fff;
    background-color: @primary-color;
  }
  .icon-pic-search-result > table .col-icon > i :hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .algolia-autocomplete .algolia-docsearch-suggestion--highlight {
    color: @primary-color;
  }
  #nprogress .bar {
    background: @primary-color;
  }
  #nprogress .peg {
    box-shadow: 0 0 10px #1890ff, 0 0 5px @primary-color;
  }
  #nprogress .spinner-icon {
    border-top-color: @primary-color;
    border-left-color: @primary-color;
  }
  a {
    color: @primary-color;
    background-color: transparent;
  }
  a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  a:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  ::selection {
    color: #fff;
    background: @primary-color;
  }
  & {
    --antd-wave-shadow-color: @primary-color;
  }
  [ant-click-animating-without-extra-node='true']::after,
  .ant-click-animating-node {
    border-radius: inherit;
    box-shadow: 0 0 0 0 @primary-color;
    box-shadow: 0 0 0 0 var(--antd-wave-shadow-color);
  }
  .ant-alert-info {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
    border: 1px solid color(~`colorPalette("@{primary-color}", 3)`);
  }
  .ant-anchor-ink-ball {
    background-color: #fff;
    border: 2px solid @primary-color;
    border-radius: 8px;
  }
  .ant-anchor-link-active > .ant-anchor-link-title {
    color: @primary-color;
  }
  .ant-select-auto-complete.ant-select .ant-input:focus,
  .ant-select-auto-complete.ant-select .ant-input:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-breadcrumb a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn:hover,
  .ant-btn:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: #fff;
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn:active,
  .ant-btn.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: #fff;
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-primary {
    color: #fff;
    background-color: @primary-color;
    border-color: @primary-color;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
  }
  .ant-btn-primary:hover,
  .ant-btn-primary:focus {
    color: #fff;
    background-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-primary:active,
  .ant-btn-primary.active {
    color: #fff;
    background-color: color(~`colorPalette("@{primary-color}", 7)`);
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-group .ant-btn-primary:not(:first-child):not(:last-child) {
    border-right-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-left-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-group .ant-btn-primary:first-child:not(:last-child) {
    border-right-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-group .ant-btn-primary:last-child:not(:first-child),
  .ant-btn-group .ant-btn-primary + .ant-btn-primary {
    border-left-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-ghost:hover,
  .ant-btn-ghost:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-ghost:active,
  .ant-btn-ghost.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-dashed:hover,
  .ant-btn-dashed:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: #fff;
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-dashed:active,
  .ant-btn-dashed.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: #fff;
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-link {
    color: @primary-color;
    background-color: transparent;
    border-color: transparent;
    box-shadow: none;
  }
  .ant-btn-link:hover,
  .ant-btn-link:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-link:active,
  .ant-btn-link.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-background-ghost.ant-btn-primary {
    color: @primary-color;
    background-color: transparent;
    border-color: @primary-color;
  }
  .ant-btn-background-ghost.ant-btn-primary:hover,
  .ant-btn-background-ghost.ant-btn-primary:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-btn-background-ghost.ant-btn-primary:active,
  .ant-btn-background-ghost.ant-btn-primary.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: transparent;
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-btn-background-ghost.ant-btn-link {
    color: @primary-color;
    background-color: transparent;
    border-color: transparent;
    color: #fff;
  }
  .ant-btn-background-ghost.ant-btn-link:hover,
  .ant-btn-background-ghost.ant-btn-link:focus {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    background-color: transparent;
    border-color: transparent;
  }
  .ant-btn-background-ghost.ant-btn-link:active,
  .ant-btn-background-ghost.ant-btn-link.active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    background-color: transparent;
    border-color: transparent;
  }
  .ant-fullcalendar-value:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-fullcalendar-value:active {
    color: #fff;
    background: @primary-color;
  }
  .ant-fullcalendar-selected-day .ant-fullcalendar-value,
  .ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-value {
    color: #fff;
    background: @primary-color;
  }
  .ant-fullcalendar-fullscreen .ant-fullcalendar-month:hover,
  .ant-fullcalendar-fullscreen .ant-fullcalendar-date:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-fullcalendar-fullscreen .ant-fullcalendar-month:active,
  .ant-fullcalendar-fullscreen .ant-fullcalendar-date:active {
    background: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-current-cell .ant-fullcalendar-month,
  .ant-fullcalendar-fullscreen .ant-fullcalendar-today .ant-fullcalendar-date {
    background: transparent;
    border-top-color: @primary-color;
  }
  .ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-month,
  .ant-fullcalendar-fullscreen .ant-fullcalendar-selected-day .ant-fullcalendar-date {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-value,
  .ant-fullcalendar-fullscreen .ant-fullcalendar-selected-day .ant-fullcalendar-value {
    color: @primary-color;
  }
  .ant-card-actions > li > span:hover {
    color: @primary-color;
  }
  .ant-card-actions > li > span a:not(.ant-btn):hover,
  .ant-card-actions > li > span > .anticon:hover {
    color: @primary-color;
  }
  .ant-cascader-picker:focus .ant-cascader-input {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-cascader-picker-label:hover + .ant-cascader-input {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-cascader-menu-item:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-checkbox-wrapper:hover .ant-checkbox-inner,
  .ant-checkbox:hover .ant-checkbox-inner,
  .ant-checkbox-input:focus + .ant-checkbox-inner {
    border-color: @primary-color;
  }
  .ant-checkbox-checked::after {
    border: 1px solid @primary-color;
    border-radius: 2px;
  }
  .ant-checkbox-checked .ant-checkbox-inner {
    background-color: @primary-color;
    border-color: @primary-color;
  }
  .ant-checkbox-indeterminate .ant-checkbox-inner::after {
    background-color: @primary-color;
    border: 0;
  }
  .ant-calendar-picker:hover .ant-calendar-picker-input:not(.ant-input-disabled) {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-picker:focus .ant-calendar-picker-input:not(.ant-input-disabled) {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-calendar-header a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-date:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-date:active {
    color: #fff;
    background: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-today .ant-calendar-date {
    color: @primary-color;
    border-color: @primary-color;
  }
  .ant-calendar-selected-day .ant-calendar-date {
    background: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .ant-calendar .ant-calendar-ok-btn {
    background-image: none;
    border: 1px solid transparent;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.015);
    color: #fff;
    background-color: @primary-color;
    border-color: @primary-color;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
    border-radius: 4px;
  }
  .ant-calendar .ant-calendar-ok-btn:hover,
  .ant-calendar .ant-calendar-ok-btn:focus {
    color: #fff;
    background-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar .ant-calendar-ok-btn:active,
  .ant-calendar .ant-calendar-ok-btn.active {
    color: #fff;
    background-color: color(~`colorPalette("@{primary-color}", 7)`);
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-calendar-range .ant-calendar-today :not(.ant-calendar-disabled-cell) :not(.ant-calendar-last-month-cell) :not(.ant-calendar-next-month-btn-day) .ant-calendar-date {
    color: @primary-color;
    background: color(~`colorPalette("@{primary-color}", 2)`);
    border-color: @primary-color;
  }
  .ant-calendar-range .ant-calendar-selected-start-date .ant-calendar-date,
  .ant-calendar-range .ant-calendar-selected-end-date .ant-calendar-date {
    color: #fff;
    background: @primary-color;
    border: 1px solid transparent;
  }
  .ant-calendar-range .ant-calendar-selected-start-date .ant-calendar-date:hover,
  .ant-calendar-range .ant-calendar-selected-end-date .ant-calendar-date:hover {
    background: @primary-color;
  }
  .ant-calendar-range .ant-calendar-input:hover,
  .ant-calendar-range .ant-calendar-time-picker-input:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-calendar-range .ant-calendar-input:focus,
  .ant-calendar-range .ant-calendar-time-picker-input:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-calendar-range .ant-calendar-in-range-cell::before {
    background: color(~`colorPalette("@{primary-color}", 1)`);
    border: 0;
    border-radius: 0;
  }
  .ant-calendar-time-picker-select li:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-time-picker-select li:focus {
    color: @primary-color;
  }
  .ant-calendar-month-panel-header a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-month-panel-selected-cell .ant-calendar-month-panel-month {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-month-panel-selected-cell .ant-calendar-month-panel-month:hover {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-month-panel-month:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-year-panel-header a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-year-panel-year:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-year-panel-selected-cell .ant-calendar-year-panel-year {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-year-panel-selected-cell .ant-calendar-year-panel-year:hover {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-decade-panel-header a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-calendar-decade-panel-decade:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-decade-panel-selected-cell .ant-calendar-decade-panel-decade {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-decade-panel-selected-cell .ant-calendar-decade-panel-decade:hover {
    color: #fff;
    background: @primary-color;
  }
  .ant-calendar-week-number .ant-calendar-body tr:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-calendar-week-number .ant-calendar-body tr.ant-calendar-active-week {
    background: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .ant-dropdown-menu-item-selected,
  .ant-dropdown-menu-submenu-title-selected,
  .ant-dropdown-menu-item-selected > a,
  .ant-dropdown-menu-submenu-title-selected > a {
    color: @primary-color;
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-dropdown-menu-item:hover,
  .ant-dropdown-menu-submenu-title:hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-dropdown-menu-submenu-selected .ant-dropdown-menu-submenu-title {
    color: @primary-color;
  }
  .ant-dropdown-menu-dark .ant-dropdown-menu-item-selected,
  .ant-dropdown-menu-dark .ant-dropdown-menu-item-selected:hover,
  .ant-dropdown-menu-dark .ant-dropdown-menu-item-selected > a {
    color: #fff;
    background: @primary-color;
  }
  .has-error .ant-transfer-list-search:not([disabled]):hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .has-error .ant-transfer-list-search:not([disabled]):focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .is-validating.has-feedback .ant-form-item-children-icon {
    color: @primary-color;
  }
  .ant-input-number:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-input-number:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-input-number-handler:hover .ant-input-number-handler-up-inner,
  .ant-input-number-handler:hover .ant-input-number-handler-down-inner {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-input-number:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-input-number-focused {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-input:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-input:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-input-group-addon .ant-select-open .ant-select-selection,
  .ant-input-group-addon .ant-select-focused .ant-select-selection {
    color: @primary-color;
  }
  .ant-input-affix-wrapper:hover .ant-input:not(.ant-input-disabled) {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-list-item-meta-title > a:hover {
    color: @primary-color;
  }
  .ant-mentions-wrapper .ant-mentions-editor:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-mentions-wrapper .ant-mentions-editor:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-mentions-wrapper.ant-mentions-active:not(.disabled) .ant-mentions-editor {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-mentions-dropdown-notfound.ant-mentions-dropdown-item .anticon-loading {
    color: @primary-color;
  }
  .ant-mentions-dropdown-item:hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-mentions-dropdown-item.focus,
  .ant-mentions-dropdown-item-active {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-mentions:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-mentions:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-mentions-focused {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-mentions-dropdown-menu-item:hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-mentions-dropdown-menu-item-active {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-menu-submenu-selected {
    color: @primary-color;
  }
  .ant-menu-item:active,
  .ant-menu-submenu-title:active {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-menu-item > a:hover {
    color: @primary-color;
  }
  .ant-menu-item > a::before {
    background-color: transparent;
  }
  .ant-menu-item > .ant-badge > a {
    color: rgba(0, 0, 0, 0.65);
  }
  .ant-menu-item > .ant-badge > a:hover {
    color: @primary-color;
  }
  .ant-menu-item-divider {
    background-color: #e8e8e8;
  }
  .ant-menu-item:hover,
  .ant-menu-item-active,
  .ant-menu:not(.ant-menu-inline) .ant-menu-submenu-open,
  .ant-menu-submenu-active,
  .ant-menu-submenu-title:hover {
    color: @primary-color;
  }
  .ant-menu-horizontal > .ant-menu-item:hover,
  .ant-menu-horizontal > .ant-menu-item-active,
  .ant-menu-horizontal > .ant-menu-submenu .ant-menu-submenu-title:hover {
    background-color: transparent;
  }
  .ant-menu-item-selected {
    color: @primary-color;
  }
  .ant-menu-item-selected > a,
  .ant-menu-item-selected > a:hover {
    color: @primary-color;
  }
  .ant-menu:not(.ant-menu-horizontal) .ant-menu-item-selected {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-menu-submenu-vertical > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::after,
  .ant-menu-submenu-vertical-left > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::after,
  .ant-menu-submenu-vertical-right > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::after,
  .ant-menu-submenu-inline > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::after,
  .ant-menu-submenu-vertical > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::before,
  .ant-menu-submenu-vertical-left > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::before,
  .ant-menu-submenu-vertical-right > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::before,
  .ant-menu-submenu-inline > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow::before {
    background: linear-gradient(to right, #1890ff, #1890ff);
  }
  .ant-menu-vertical .ant-menu-submenu-selected,
  .ant-menu-vertical-left .ant-menu-submenu-selected,
  .ant-menu-vertical-right .ant-menu-submenu-selected {
    color: @primary-color;
  }
  .ant-menu-vertical .ant-menu-submenu-selected > a,
  .ant-menu-vertical-left .ant-menu-submenu-selected > a,
  .ant-menu-vertical-right .ant-menu-submenu-selected > a {
    color: @primary-color;
  }
  .ant-menu-horizontal > .ant-menu-item:hover,
  .ant-menu-horizontal > .ant-menu-submenu:hover,
  .ant-menu-horizontal > .ant-menu-item-active,
  .ant-menu-horizontal > .ant-menu-submenu-active,
  .ant-menu-horizontal > .ant-menu-item-open,
  .ant-menu-horizontal > .ant-menu-submenu-open,
  .ant-menu-horizontal > .ant-menu-item-selected,
  .ant-menu-horizontal > .ant-menu-submenu-selected {
    color: @primary-color;
    border-bottom: 2px solid @primary-color;
  }
  .ant-menu-horizontal > .ant-menu-item > a {
    color: rgba(0, 0, 0, 0.65);
  }
  .ant-menu-horizontal > .ant-menu-item > a:hover {
    color: @primary-color;
  }
  .ant-menu-horizontal > .ant-menu-item-selected > a {
    color: @primary-color;
  }
  .ant-menu-vertical .ant-menu-item::after,
  .ant-menu-vertical-left .ant-menu-item::after,
  .ant-menu-vertical-right .ant-menu-item::after,
  .ant-menu-inline .ant-menu-item::after {
    border-right: 3px solid @primary-color;
  }
  .ant-menu.ant-menu-dark .ant-menu-item-selected,
  .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
    background-color: @primary-color;
  }
  .ant-message-info .anticon,
  .ant-message-loading .anticon {
    color: @primary-color;
  }
  .ant-modal-confirm-info .ant-modal-confirm-body > .anticon {
    color: @primary-color;
  }
  .anticon.ant-notification-notice-icon-info {
    color: @primary-color;
  }
  .ant-page-header-back-button {
    color: @primary-color;
    color: #000;
  }
  .ant-page-header-back-button:focus,
  .ant-page-header-back-button:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-page-header-back-button:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-pagination-item:focus,
  .ant-pagination-item:hover {
    border-color: @primary-color;
  }
  .ant-pagination-item:focus a,
  .ant-pagination-item:hover a {
    color: @primary-color;
  }
  .ant-pagination-item-active {
    background: #fff;
    border-color: @primary-color;
  }
  .ant-pagination-item-active a {
    color: @primary-color;
  }
  .ant-pagination-item-active:focus,
  .ant-pagination-item-active:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-pagination-item-active:focus a,
  .ant-pagination-item-active:hover a {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-pagination-jump-prev .ant-pagination-item-container .ant-pagination-item-link-icon,
  .ant-pagination-jump-next .ant-pagination-item-container .ant-pagination-item-link-icon {
    color: @primary-color;
  }
  .ant-pagination-prev:hover a,
  .ant-pagination-next:hover a {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-pagination-prev:focus .ant-pagination-item-link,
  .ant-pagination-next:focus .ant-pagination-item-link,
  .ant-pagination-prev:hover .ant-pagination-item-link,
  .ant-pagination-next:hover .ant-pagination-item-link {
    color: @primary-color;
    border-color: @primary-color;
  }
  .ant-pagination-options-quick-jumper input:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-pagination-options-quick-jumper input:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-pagination-simple .ant-pagination-simple-pager input:hover {
    border-color: @primary-color;
  }
  .ant-progress-success-bg,
  .ant-progress-bg {
    background-color: @primary-color;
    border-radius: 100px;
  }
  .ant-radio-wrapper:hover .ant-radio,
  .ant-radio:hover .ant-radio-inner,
  .ant-radio-input:focus + .ant-radio-inner {
    border-color: @primary-color;
  }
  .ant-radio-checked::after {
    border: 1px solid @primary-color;
    border-radius: 50%;
  }
  .ant-radio-inner::after {
    background-color: @primary-color;
    border-top: 0;
    border-left: 0;
    border-radius: 8px;
  }
  .ant-radio-checked .ant-radio-inner {
    border-color: @primary-color;
  }
  .ant-radio-button-wrapper:hover {
    color: @primary-color;
  }
  .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {
    color: @primary-color;
    background: #fff;
    border-color: @primary-color;
    box-shadow: -1px 0 0 0 @primary-color;
  }
  .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled)::before {
    background-color: #1890ff !important;
  }
  .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):first-child {
    border-color: @primary-color;
    box-shadow: none !important;
  }
  .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    box-shadow: -1px 0 0 0 color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
    box-shadow: -1px 0 0 0 color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {
    color: #fff;
    background: @primary-color;
    border-color: @primary-color;
  }
  .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):hover {
    color: #fff;
    background: color(~`colorPalette("@{primary-color}", 5)`);
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):active {
    color: #fff;
    background: color(~`colorPalette("@{primary-color}", 7)`);
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-result-info .ant-result-icon > .anticon {
    color: @primary-color;
  }
  .ant-select-selection:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-select-focused .ant-select-selection,
  .ant-select-selection:focus,
  .ant-select-selection:active {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-select-open .ant-select-selection {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-select-dropdown-menu-item:hover:not(.ant-select-dropdown-menu-item-disabled) {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-select-dropdown-menu-item-active:not(.ant-select-dropdown-menu-item-disabled) {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-select-dropdown.ant-select-dropdown--multiple .ant-select-dropdown-menu-item-selected .ant-select-selected-icon,
  .ant-select-dropdown.ant-select-dropdown--multiple .ant-select-dropdown-menu-item-selected:hover .ant-select-selected-icon {
    color: @primary-color;
  }
  .ant-slider-track {
    background-color: color(~`colorPalette("@{primary-color}", 3)`);
    border-radius: 4px;
  }
  .ant-slider-handle {
    background-color: #fff;
    border: solid 2px color(~`colorPalette("@{primary-color}", 3)`);
    border-radius: 50%;
    box-shadow: 0;
  }
  .ant-slider-handle.ant-tooltip-open {
    border-color: @primary-color;
  }
  .ant-slider:hover .ant-slider-track {
    background-color: color(~`colorPalette("@{primary-color}", 4)`);
  }
  .ant-slider:hover .ant-slider-handle:not(.ant-tooltip-open) {
    border-color: color(~`colorPalette("@{primary-color}", 4)`);
  }
  .ant-slider-dot-active {
    border-color: #8cc8ff;
  }
  .ant-spin {
    color: rgba(0, 0, 0, 0.65);
    color: @primary-color;
  }
  .ant-spin-dot-item {
    background-color: @primary-color;
    border-radius: 100%;
  }
  .ant-steps-item-icon > .ant-steps-icon {
    color: @primary-color;
  }
  .ant-steps-item-process .ant-steps-item-icon {
    background-color: #fff;
    border-color: @primary-color;
  }
  .ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon {
    color: @primary-color;
  }
  .ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon .ant-steps-icon-dot {
    background: @primary-color;
  }
  .ant-steps-item-process .ant-steps-item-icon {
    background: @primary-color;
  }
  .ant-steps-item-finish .ant-steps-item-icon {
    background-color: #fff;
    border-color: @primary-color;
  }
  .ant-steps-item-finish .ant-steps-item-icon > .ant-steps-icon {
    color: @primary-color;
  }
  .ant-steps-item-finish .ant-steps-item-icon > .ant-steps-icon .ant-steps-icon-dot {
    background: @primary-color;
  }
  .ant-steps-item-finish > .ant-steps-item-container > .ant-steps-item-content > .ant-steps-item-title::after {
    background-color: @primary-color;
  }
  .ant-steps-item-finish > .ant-steps-item-container > .ant-steps-item-tail::after {
    background-color: @primary-color;
  }
  .ant-steps .ant-steps-item:not(.ant-steps-item-active) > .ant-steps-item-container[role='button']:hover .ant-steps-item-title,
  .ant-steps .ant-steps-item:not(.ant-steps-item-active) > .ant-steps-item-container[role='button']:hover .ant-steps-item-subtitle,
  .ant-steps .ant-steps-item:not(.ant-steps-item-active) > .ant-steps-item-container[role='button']:hover .ant-steps-item-description {
    color: @primary-color;
  }
  .ant-steps .ant-steps-item:not(.ant-steps-item-active):not(.ant-steps-item-process) > .ant-steps-item-container[role='button']:hover .ant-steps-item-icon {
    border-color: @primary-color;
  }
  .ant-steps .ant-steps-item:not(.ant-steps-item-active):not(.ant-steps-item-process) > .ant-steps-item-container[role='button']:hover .ant-steps-item-icon .ant-steps-icon {
    color: @primary-color;
  }
  .ant-steps-item-custom.ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon {
    color: @primary-color;
  }
  .ant-steps-navigation .ant-steps-item::before {
    background-color: @primary-color;
  }
  .ant-switch-checked.ant-switch-loading .ant-switch-loading-icon {
    color: @primary-color;
  }
  .ant-switch-checked {
    background-color: @primary-color;
  }
  .ant-table-thead > tr > th .ant-table-filter-selected.anticon-filter {
    color: @primary-color;
  }
  .ant-table-thead > tr > th .ant-table-column-sorter .ant-table-column-sorter-inner .ant-table-column-sorter-up.on,
  .ant-table-thead > tr > th .ant-table-column-sorter .ant-table-column-sorter-inner .ant-table-column-sorter-down.on {
    color: @primary-color;
  }
  .ant-table-thead > tr > th .ant-table-header-column {
    color:@primary-color
  }
  .ant-table-thead > tr.ant-table-row-hover:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td,
  .ant-table-tbody > tr.ant-table-row-hover:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td,
  .ant-table-thead > tr:hover:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td,
  .ant-table-tbody > tr:hover:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-table-filter-dropdown .ant-dropdown-menu .ant-dropdown-submenu-contain-selected .ant-dropdown-menu-submenu-title::after {
    color: @primary-color;
  }
  .ant-table-filter-dropdown-link {
    color: @primary-color;
  }
  .ant-table-filter-dropdown-link:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-table-filter-dropdown-link:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-table-row-expand-icon {
    color: @primary-color;
    color: inherit;
    background: #fff;
    border: 1px solid #e8e8e8;
    border-radius: 2px;
  }
  .ant-table-row-expand-icon:focus,
  .ant-table-row-expand-icon:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-table-row-expand-icon:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-tabs.ant-tabs-card .ant-tabs-card-bar .ant-tabs-tab-active {
    color: @primary-color;
    background: #fff;
    border-color: #e8e8e8;
    border-bottom: 1px solid #fff;
  }
  .ant-tabs.ant-tabs-card .ant-tabs-card-bar .ant-tabs-tab-disabled {
    color: @primary-color;
    color: rgba(0, 0, 0, 0.25);
  }
  .ant-tabs-extra-content .ant-tabs-new-tab:hover {
    color: @primary-color;
    border-color: @primary-color;
  }
  .ant-tabs .ant-tabs-card-bar.ant-tabs-bottom-bar .ant-tabs-tab-active {
    color: @primary-color;
  }
  .ant-tabs-ink-bar {
    background-color: @primary-color;
  }
  .ant-tabs-nav .ant-tabs-tab:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-tabs-nav .ant-tabs-tab:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-tabs-nav .ant-tabs-tab-active {
    color: @primary-color;
  }
  .ant-tag-checkable:not(.ant-tag-checkable-checked):hover {
    color: @primary-color;
  }
  .ant-tag-checkable-checked {
    background-color: @primary-color;
  }
  .ant-tag-checkable:active {
    background-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-time-picker-panel-select li:focus {
    color: @primary-color;
  }
  .ant-time-picker-panel-select li:hover {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-time-picker-input:hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
  }
  .ant-time-picker-input:focus {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
    border-right-width: 1px !important;
    box-shadow: 0 0 0 2px rgba(24, 144, 255, 0.2);
  }
  .ant-timeline-item-head-blue {
    color: @primary-color;
    border-color: @primary-color;
  }
  .ant-transfer-list-content-item:not(.ant-transfer-list-content-item-disabled):hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-select-tree-checkbox-wrapper:hover .ant-select-tree-checkbox-inner,
  .ant-select-tree-checkbox:hover .ant-select-tree-checkbox-inner,
  .ant-select-tree-checkbox-input:focus + .ant-select-tree-checkbox-inner {
    border-color: @primary-color;
  }
  .ant-select-tree-checkbox-checked::after {
    border: 1px solid @primary-color;
    border-radius: 2px;
  }
  .ant-select-tree-checkbox-checked .ant-select-tree-checkbox-inner {
    background-color: @primary-color;
    border-color: @primary-color;
  }
  .ant-select-tree-checkbox-indeterminate .ant-select-tree-checkbox-inner::after {
    background-color: @primary-color;
    border: 0;
  }
  .ant-select-tree li .ant-select-tree-node-content-wrapper:hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-select-tree li .ant-select-tree-node-content-wrapper.ant-select-tree-node-selected {
    background-color: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .ant-select-tree li span.ant-select-icon_loading .ant-select-switcher-loading-icon {
    color: @primary-color;
  }
  .ant-select-tree li span.ant-select-tree-switcher.ant-select-tree-switcher_open .ant-select-switcher-loading-icon,
  .ant-select-tree li span.ant-select-tree-switcher.ant-select-tree-switcher_close .ant-select-switcher-loading-icon {
    color: @primary-color;
  }
  .ant-tree.ant-tree-directory > li span.ant-tree-node-content-wrapper:hover::before,
  .ant-tree.ant-tree-directory .ant-tree-child-tree > li span.ant-tree-node-content-wrapper:hover::before {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-tree.ant-tree-directory > li.ant-tree-treenode-selected > span.ant-tree-checkbox .ant-tree-checkbox-inner,
  .ant-tree.ant-tree-directory .ant-tree-child-tree > li.ant-tree-treenode-selected > span.ant-tree-checkbox .ant-tree-checkbox-inner {
    border-color: @primary-color;
  }
  .ant-tree.ant-tree-directory > li.ant-tree-treenode-selected > span.ant-tree-checkbox.ant-tree-checkbox-checked .ant-tree-checkbox-inner::after,
  .ant-tree.ant-tree-directory .ant-tree-child-tree > li.ant-tree-treenode-selected > span.ant-tree-checkbox.ant-tree-checkbox-checked .ant-tree-checkbox-inner::after {
    border-color: @primary-color;
  }
  .ant-tree.ant-tree-directory > li.ant-tree-treenode-selected > span.ant-tree-node-content-wrapper::before,
  .ant-tree.ant-tree-directory .ant-tree-child-tree > li.ant-tree-treenode-selected > span.ant-tree-node-content-wrapper::before {
    background: @primary-color;
  }
  .ant-tree-checkbox-wrapper:hover .ant-tree-checkbox-inner,
  .ant-tree-checkbox:hover .ant-tree-checkbox-inner,
  .ant-tree-checkbox-input:focus + .ant-tree-checkbox-inner {
    border-color: @primary-color;
  }
  .ant-tree-checkbox-checked::after {
    border: 1px solid @primary-color;
    border-radius: 2px;
  }
  .ant-tree-checkbox-checked .ant-tree-checkbox-inner {
    background-color: @primary-color;
    border-color: @primary-color;
  }
  .ant-tree-checkbox-indeterminate .ant-tree-checkbox-inner::after {
    background-color: @primary-color;
    border: 0;
  }
  .ant-tree li.drag-over > span[draggable] {
    color: white;
    background-color: @primary-color;
  }
  .ant-tree li.drag-over-gap-top > span[draggable] {
    border-top-color: @primary-color;
  }
  .ant-tree li.drag-over-gap-bottom > span[draggable] {
    border-bottom-color: @primary-color;
  }
  .ant-tree li.ant-tree-treenode-loading span.ant-tree-switcher.ant-tree-switcher_open .ant-tree-switcher-loading-icon,
  .ant-tree li.ant-tree-treenode-loading span.ant-tree-switcher.ant-tree-switcher_close .ant-tree-switcher-loading-icon {
    color: @primary-color;
  }
  .ant-tree li .ant-tree-node-content-wrapper:hover {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .ant-tree li .ant-tree-node-content-wrapper.ant-tree-node-selected {
    background-color: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .ant-typography a {
    color: @primary-color;
  }
  .ant-typography a:focus,
  .ant-typography a:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-typography a:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-typography-expand,
  .ant-typography-edit,
  .ant-typography-copy {
    color: @primary-color;
  }
  .ant-typography-expand:focus,
  .ant-typography-edit:focus,
  .ant-typography-copy:focus,
  .ant-typography-expand:hover,
  .ant-typography-edit:hover,
  .ant-typography-copy:hover {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-typography-expand:active,
  .ant-typography-edit:active,
  .ant-typography-copy:active {
    color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-upload.ant-upload-select-picture-card:hover {
    border-color: @primary-color;
  }
  .ant-upload.ant-upload-drag.ant-upload-drag-hover:not(.ant-upload-disabled) {
    border-color: color(~`colorPalette("@{primary-color}", 7)`);
  }
  .ant-upload.ant-upload-drag:not(.ant-upload-disabled):hover {
    border-color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-upload.ant-upload-drag p.ant-upload-drag-icon .anticon {
    color: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .ant-upload-list-item:hover .ant-upload-list-item-info {
    background-color: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .main-color .palette-blue-1 {
    background: color(~`colorPalette("@{primary-color}", 1)`);
  }
  .main-color .palette-blue-2 {
    background: color(~`colorPalette("@{primary-color}", 2)`);
  }
  .main-color .palette-blue-3 {
    background: color(~`colorPalette("@{primary-color}", 3)`);
  }
  .main-color .palette-blue-4 {
    background: color(~`colorPalette("@{primary-color}", 4)`);
  }
  .main-color .palette-blue-5 {
    background: color(~`colorPalette("@{primary-color}", 5)`);
  }
  .main-color .palette-blue-6 {
    background: @primary-color;
  }
  .main-color .palette-blue-7 {
    background: color(~`colorPalette("@{primary-color}", 7)`);
  }

  .ant-carousel .slick-dots li button {
    background-color: @primary-color;
  }

  .ant-carousel .slick-dots li.slick-active button {
    background-color: @primary-color;
  }

  .z-bonus-levels {
    padding: 0;
    .ant-radio-button-wrapper.ant-radio-button-wrapper-checked {
      background-color: @primary-color;
      border-color: @primary-color;
      box-shadow: -1px 0 0 0 @primary-color;
    }
  }

/* --------------- mobile ------------------- */
  .am-navbar {
    background-color: @primary-color;
  }

  .am-tabs-default-bar-tab-active {
    color: @primary-color;
  }
  .am-tabs-default-bar-underline {
    border: 1px @primary-color solid;
  }
  .am-tabs-default-bar-tab-active {
    color: @primary-color;
  }

  .am-checkbox.am-checkbox-checked .am-checkbox-inner {
    border-color: @primary-color;
    background: @primary-color;
  }
  .am-radio.am-radio-checked .am-radio-inner:after {
    border-color: @primary-color;
  }

  .am-button {
    overflow: visible;
    color: #888;
  }
  .am-button-primary {
    background-color: @primary-color;
    border: 1PX solid @primary-color;
    color: #fff;
    &.am-button-active {
      background-color: darken(@primary-color, 1);
      color:darken(@primary-color, 0.2) !important;
    }
  }
  .am-button.am-button-ghost {
    color: @primary-color;
  }
  &:not([data-scale]) .am-button-primary::before, &:not([data-scale])  .am-button-ghost::before {
    border: 1PX solid @primary-color !important;
  }
  @media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 2dppx) {
    &:not([data-scale])  {
      .am-button-ghost::before, .am-button-primary::before {
        border: 1PX solid @primary-color !important;
      }
    }
  }
  .am-modal-button-group-v .am-modal-button, .am-modal-button-group-h .am-modal-button {
    color: @primary-color;
  }
  .am-notice-bar {
    background-color: #FAF3E6;
    color: #EEAF41;
  }
  .am-notice-bar-operation {
    display:none;
  }

  //解决ios placehoder无法垂直居中问题
  .am-input-control input::placeholder {
    line-height: normal !important;
  }

  //解决ios modal组件中 placehoder无法垂直居中问题
  .am-modal-input input::-webkit-input-placeholder {
    line-height: 1.5rem !important;
  }

  //修改全局中所有switch,checked的背景为主题色
  .am-switch input[type="checkbox"]:checked + .checkbox {
    background: @primary-color;
  }

  .am-number-keyboard-item-disabled {
    background-color: @primary-color !important;
  }
  //解决mobile primary button 颜色变化不正确问题
  .am-button.am-button-primary {
    &:hover {
      color: #fff;
    }
  }
  //解决mobile searchBar中输入文字时，取消按钮被遮挡的问题
  .am-search-input input[type="search"]{
    font-size: 1rem !important;
  }
  // segment
  .am-segment-item {
    color: @primary-color;
    border: 1PX solid @primary-color;
  }
  .am-segment-item-selected {
    background: @primary-color;
  }
  .am-picker-popup-item {
    color: @primary-color;
  }

  // tag
  .am-tag-active {
    color: @primary-color;
    border: 1px solid @primary-color;
  }
  @media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 2dppx) {
    &:not([data-scale]) .am-tag-active::before {
      border: 1PX solid @primary-color;
    }
  }
}
